<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <title>Blog</title>
</head>

<body>
   
    <div class="container">
        <h1 class="mb-4">Articles</h1>
    <a href="/articles/new" class="btn btn-success">New Article</a>
    
    <% articles.forEach(article => { %>
    <div class="card mt-4">
        <div class="card-body">
            <h4 class="card-title"> <%= article.title %></h4>
       <div class="card-substitle text-muted mb-2">
        <%= article.createdAt.toLocaleDateString() %>
       </div>
       <div class="card-text mb-2">

        <%= article.description %>
       </div>
       <a href="articles/<%= article.id %>" class="btn btn-primary">Read More</a>

           <form method="POST" action="/articles/<%=article.id %>?_method=DELETE"><button type="submit">Delete</button></form>
        </div>
       

    </div>
    <%  }) %> 